=== src/libs/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"calligraplanlibs\")

add_subdirectory( plugin )
add_subdirectory( widgetutils )
add_subdirectory( widgets )
add_subdirectory( store )
add_subdirectory( odf )
add_subdirectory( kundo2 )

add_subdirectory( main )



add_subdirectory(kernel)
add_subdirectory(models)
add_subdirectory(ui)
