=== debian/changelog ===
calligraplan (1:3.3.0-4) unstable; urgency=medium

  * Drop Rules-Requires-Root: no, no more needed since Debian trixie.
  * Pass -DCMAKE_POLICY_VERSION_MINIMUM=3.5 to cmake so it builds with cmake 4
    (hoping that everything works properly). (Closes: #1112745)

 -- Pino Toscano <pino@debian.org>  Mon, 06 Oct 2025 20:56:54 +0200

calligraplan (1:3.3.0-3) unstable; urgency=medium

  * Switch the libkchart-dev build dependency to libkchart2-dev, and the
    libkgantt-dev build dependency to libkgantt2-dev: the unversioned packages
    represent the Qt 6 version, and calligraplan is still based on Qt 5.
    (Closes: #1086481, #1091122)
  * Bump Standards-Version to 4.7.2, no changes required.
  * Switch the deprecated pkg-config build dependency to pkgconf.
  * Append -Wno-deprecated -Wno-deprecated-declarations to the CXXFLAGS,
    as there are lots of deprecation warnings that make build logs bigger.

 -- Pino Toscano <pino@debian.org>  Wed, 02 Apr 2025 08:24:57 +0200

calligraplan (1:3.3.0-2) unstable; urgency=medium

  * Drop all the l10n breaks/replaces, no more needed after two Debian stable
    releases.
  * Bump Standards-Version to 4.6.2, no changes required.
  * Add a debian/upstream/metadata file.
  * Update lintian override info format in d/calligraplan.lintian-overrides on
    line 8.

 -- Pino Toscano <pino@debian.org>  Sun, 01 Jan 2023 10:22:05 +0100

calligraplan (1:3.3.0-1) unstable; urgency=medium

  * New upstream release.
  * Add the upstream GPG singing key.
  * Update the patches:
    - upstream_Fix-build-with-Qt-5.15.patch: drop, backported from upstream
  * Update the build dependencies according to the upstream build system:
    - bump libkchart-dev, and libkgantt-dev to 2.8
    - add libkf5doctools-dev
    - drop libkf5khtml-dev, no more needed
  * Use execute_after_dh_auto_install to avoid invoking dh_auto_install
    manually.
  * Update lintian overrides.

 -- Pino Toscano <pino@debian.org>  Fri, 29 Jan 2021 21:37:40 +0100
