=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ https://download.kde.org/stable/calligra/([\d\.]+)/calligraplan-([\d\.]+)\.tar\.xz
