## calligraplan 3.3.0+p24.04+vstable+git20250909.0651

=== CMakeLists.txt ===
--- 
+++ 
@@ -331,10 +331,13 @@
 
 
 add_subdirectory(src)
-
 add_subdirectory(devtools)
-
 add_subdirectory(doc)
+
+ki18n_install(po)
+if(KF5DocTools_FOUND)
+    kdoctools_install(po)
+endif()
 
 if (BUILD_TESTING)
     add_subdirectory(tests)
@@ -346,11 +349,3 @@
 feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
 
-
-find_package(KF5I18n CONFIG REQUIRED)
-ki18n_install(po)
-
-  find_package(KF5DocTools CONFIG)
-  if(KF5DocTools_FOUND)
-    kdoctools_install(po)
-  endif()
