=== debian/control ===
Source: calligraplan
Section: kde
Priority: optional
Uploaders: Pino Toscano <pino@debian.org>
Build-Depends: cmake (>= 3.0~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.19.0),
               gettext,
               kinit-dev (>= 5.45.0~),
               libkchart5-dev,
               libkf5activities-dev (>= 5.45.0~),
               libkf5archive-dev (>= 5.45.0~),
               libkf5config-dev (>= 5.45.0~),
               libkf5configwidgets-dev (>= 5.45.0~),
               libkf5coreaddons-dev (>= 5.45.0~),
               libkf5dbusaddons-dev (>= 5.45.0~),
               libkf5doctools-dev,
               libkf5guiaddons-dev (>= 5.45.0~),
               libkf5holidays-dev,
               libkf5i18n-dev (>= 5.45.0~),
               libkf5iconthemes-dev (>= 5.45.0~),
               libkf5itemmodels-dev (>= 5.45.0~),
               libkf5itemviews-dev (>= 5.45.0~),
               libkf5jobwidgets-dev (>= 5.45.0~),
               libkf5kio-dev (>= 5.45.0~),
               libkf5notifications-dev (>= 5.45.0~),
               libkf5parts-dev (>= 5.45.0~),
               libkf5textwidgets-dev (>= 5.45.0~),
               libkf5wallet-dev (>= 5.45.0~),
               libkf5widgetsaddons-dev (>= 5.45.0~),
               libkf5windowsystem-dev (>= 5.45.0~),
               libkf5xmlgui-dev (>= 5.45.0~),
               libkgantt5-dev,
               libqca-qt5-2-dev,
               libqt5opengl5-dev (>= 5.9.0~),
               libqt5x11extras5-dev (>= 5.9.0~),
               libx11-dev,
               pkg-config,
               pkg-kde-tools (>= 0.15.16),
               qtbase5-dev (>= 5.9.0~)
Standards-Version: 4.6.1
Rules-Requires-Root: no
Homepage: https://www.calligra.org/plan/
Vcs-Git: https://invent.kde.org/neon/extras/calligraplan.git
Vcs-Browser: https://invent.kde.org/neon/extras/calligraplan
Maintainer: Neon CI <neon@kde.org>

Package: calligraplan
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: integrated project management and planning tool
 Plan is a project management application, allowing for the planning and
 scheduling of projects. It was formerly known as KPlato.
 .
 This package is part of the Calligra Suite.
