## calligraplan 3.3.0+p24.04+vstable+git20250925.1356

=== debian/changelog ===
calligraplan (1:3.3.0+p24.04+vstable+git20250925.1356-0) noble; urgency=medium

  [ Pino Toscano ]
  * Drop all the l10n breaks/replaces, no more needed after two Debian stable
    releases.
  * Bump Standards-Version to 4.6.1, no changes required.
  * Add a simple upstream/metadata file.

  [ Neon CI ]
  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 25 Sep 2025 13:56:45 +0000
