## calligraplan 3.3.0+p24.04+vunstable+git20251203.0332

=== debian/changelog ===
calligraplan (1:3.3.0+p24.04+vunstable+git20251203.0332-0) noble; urgency=medium

  [ Pino Toscano ]
  * Drop all the l10n breaks/replaces, no more needed after two Debian stable
    releases.
  * Bump Standards-Version to 4.6.1, no changes required.
  * Add a simple upstream/metadata file.

  [ Neon CI ]
  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 03 Dec 2025 03:32:34 +0000
